
QGIS Application - Bug report #2566

Split vector layer doesn't work with the fields containing Cyrillics

2010-03-20 05:23 AM - dr -

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12626

Description

Subj. Example of layer in attachment. Choose 'NAME' field and get an error:

An error has occured while executing Python code:

Traceback (most recent call last):

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\fTools\\tools\\doVectorSplit.py", line 76, in accept

    self.split(inLayer, unicode(outPath), unicode(inField), self.progressBar)

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\fTools\\tools\\doVectorSplit.py", line 165, in split

    writer = [[QgsVectorFileWriter]](baseName + "_" + unicode(i.toString().trimmed()) + ".shp", self.encoding, fieldList,

vlayer.dataProvider().geometryType(), sRs)

[[TypeError]]: unsupported operand type(s) for +: 'QString' and 'unicode'

Python version:

2.5.1 (r251:54863, Apr 18 2007, 08:51:08) [MSC v.1310 32 bit (Intel)]

Associated revisions

Revision dc8874ed - 2010-05-14 12:42 AM - cfarmer -

now supports fields containing Cyrillics. Fixes #2566. Patch from alexbruy

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13477 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision b168560b - 2010-05-14 12:42 AM - cfarmer -

now supports fields containing Cyrillics. Fixes #2566. Patch from alexbruy

git-svn-id: http://svn.osgeo.org/qgis/trunk@13477 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-05-05 10:31 AM - Alexander Bruy

Patch to fix this issue
http://svn.osgeo.org/qgis/trunk/qgis@13477
http://svn.osgeo.org/qgis/trunk@13477


#2 - 2010-05-13 03:43 PM - cfarmer -

- Resolution set to fixed

- Status changed from Open to Closed

Patch applied in commit:b168560b (SVN r13478).

Carson

Files

ecoregions.7z 39.4 KB 2010-03-20 dr -

fix_2566.diff 735 Bytes 2010-05-05 Alexander Bruy
